<?php
/**
 * @copyright	Copyright (c) 2017 BlueSkyChat. All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// no direct access
defined( '_JEXEC' ) or die('Direct Access to this location is not allowed.');

jimport('joomla.plugin.plugin');

/**
 * LiveChat - LiveChat Plugin
 *
 * @package		Joomla.Plugin
 * @subpakage	BlueSkyChat.LiveChat
 */
class plgSystemLiveChat extends JPlugin {

    var $siteurl;

	/**
	 * Constructor.
	 *
	 * @param 	$subject
	 * @param	array $config
	 */
	function plgSystemLiveChat(&$subject, $config = array()) {
		// call parent constructor
		parent::__construct($subject, $config);
        $this->siteurl = $this->params->get( 'siteurl', JURI::base() );
	}

	function onAfterRender()
	{

		$app = JFactory::getApplication();
		
		if( $app->isAdmin() || JRequest::getCmd('task') == 'edit' || JRequest::getCmd('layout') == 'edit' )
		{
			return;
		}
		$c = JResponse::getBody();
		$headpos = stripos( $c, '</head>' );
		
		if( $headpos !== false )
	    {
	    
	      $LiveChat   = $this->getScriptLiveChat();
	      $head = substr( $c , 0, $headpos );
	      $body = stristr( $c, '</head>' );
	      $c    = $head.$LiveChat.$body;
	      JResponse::setBody($c);
	      
	    }
		return true;
	}

	public function getScriptLiveChat(){
		return '<script src="'.$this->siteurl.'plugins/system/livechat/bluesky.js"></script>';
	}
	
}